net.corda.core.testing

## Class TransactionStateGenerator<T extends ContractState>

- net.corda.core.testing.TransactionStateGenerator<T>

-     public class TransactionStateGenerator<T extends ContractState>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionStateGenerator(com.pholser.junit.quickcheck.generator.Generator<T> stateGenerator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionState<T>` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`
    `com.pholser.junit.quickcheck.generator.Generator<T>` | `getStateGenerator()`

- - ### Constructor Detail

    - #### TransactionStateGenerator

          public TransactionStateGenerator(com.pholser.junit.quickcheck.generator.Generator<T> stateGenerator)

  - ### Method Detail

    - #### generate

          public TransactionState<T> generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                              com.pholser.junit.quickcheck.generator.GenerationStatus status)

    - #### getStateGenerator

          public com.pholser.junit.quickcheck.generator.Generator<T> getStateGenerator()